import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import { PictoryLink } from "./pictory-link/PictoryLinkButton.jsx";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";
import { InstallFeatureCard } from "./InstallFeature.jsx";

const _ = cockpit.gettext;

export function PictoryCard () {
    const pictoryPackageName = ["pictory", "pictory-apache"];
    const pictoryFeatureName = "PiCtory";
    const cardTitle = pictoryFeatureName;

    return (
        <Card isFullHeight name='pictory'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    <div className='help-text'>
                        <p>
                            {_("In PiCtory, you configure the hardware settings for modules connected to the RevPi. Here, you can define, arrange, and configure expansion modules like digital or analog I/O modules. This ensures the RevPi correctly detects and communicates with them.")}
                        </p>
                        <p>
                            <strong> {_("Tip")}: </strong>
                            {_("Remember to save your changes and reset the driver to apply the settings.")}
                        </p>
                    </div>
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        <InstallFeatureCard packagesName={pictoryPackageName} featureName={pictoryFeatureName}>
                            <PictoryLink />
                        </InstallFeatureCard>
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
