import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";

const _ = cockpit.gettext;

export function SystemConfigurationCard ({ getRevPiSwitch, getRevPiToggle }) {
    const cardTitle = _("System Configuration");

    return (
        <Card isFullHeight name='system-configuration'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Basic configuration for RevPi devices.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>{getRevPiSwitch("gui")}</GridItem>
                    <GridItem span={12}>{getRevPiSwitch("dphys-swapfile")}</GridItem>
                    <GridItem span={12}>{getRevPiSwitch("avahi")}</GridItem>
                    <GridItem span={12}>{getRevPiSwitch("systemd-timesyncd")}</GridItem>
                    <GridItem span={12}>{getRevPiToggle("var-log.mount")}</GridItem>
                    <GridItem span={12}>{getRevPiSwitch("ssh")}</GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
